#!/usr/bin/make -f

xsl = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
xsltproc = xsltproc --nonet --param man.charmap.use.subset 0

python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}

.PHONY: clean
clean:
	dh_clean
	rm -rf build
	find -name '*.py[co]' -delete

.PHONY: build build-arch build-indep
build build-indep: build/stamp debian/aafigure.1

build/stamp: setup.py
	$(python_all) setup.py build
	touch $(@)

%.1: %.xml
	$(xsltproc) -o $(dir $(@)) $(xsl) $(<)

.PHONY: binary binary-arch binary-indep
binary binary-indep: build/stamp
	dh_testroot
	dh_prep
	$(python_all) setup.py install --prefix=/usr --root=debian/python-aafigure/
	sed -i '1 s,\(#!/usr/bin/python\).*,\1,' debian/*/usr/bin/*
	sed -i 's/^\(Metadata-Version\): 1\.0$$/\1: 1\.1/' debian/*/usr/lib/python*/*-packages/*.egg-info
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_python2
	dh_compress -X examples/
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet
